# $Revision: 1.45 $, $Date: 2009/01/19 09:39:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Template
Summary:	Text::Template - expand template text with embedded Perl
Summary(pl.UTF-8):	Text::Template - przetwarzanie szablonów tekstowych przez wbudowany Perl
Name:		perl-Text-Template
Version:	1.45
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cd22441c1ab0870c012225c9a585e262
URL:		http://search.cpan.org/dist/Text-Template/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library for generating form letters, building HTML pages,
or filling in templates generally.  A `template' is a piece of text
that has little Perl programs embedded in it here and there.  When you
`fill in' a template, you evaluate the little programs and replace
them with their values.

%description -l pl.UTF-8
To jest biblioteka do generowania listów z formularzy, budowania stron
HTML lub ogólnie wypełniania szablonów. Szablon (template) to kawałek
tekstu, który ma wbudowane gdzieniegdzie małe programy w Perlu. Przy
"wypełnianiu" szablonu te małe programy są wykonywane i zastępowane
zwracanymi przez nie wartościami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Text/Template.pm
%{perl_vendorlib}/Text/Template
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Template.spec,v $
Revision 1.45  2009/01/19 09:39:54  paszczus
- updated to 1.45

Revision 1.44  2008/07/27 22:56:07  arekm
- release 2

Revision 1.43  2007-06-03 08:19:37  qboosh
- generic URL

Revision 1.42  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.41  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.40  2004/11/03 22:30:50  paladine
- formatting

Revision 1.39  2004/05/03 18:07:32  ankry
- tests added, license fixed, cosmetics

Revision 1.38  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.37  2003/09/18 13:22:06  adamg
- updated to 1.44

Revision 1.36  2003/09/09 10:24:52  ankry
- spaces -> tab

Revision 1.35  2003/08/18 08:09:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.34  2003/05/28 13:01:06  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:25:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/03/01 21:35:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.31  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.30  2003/02/18 15:38:55  ankry
- massive attack: change CPAN URLs

Revision 1.29  2002/08/28 20:58:43  qboosh
- pl description, release++

Revision 1.28  2002/08/11 19:36:49  radek
- release up

Revision 1.27  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.26  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.25  2002/07/11 08:05:22  depesz
- new version; should work; STBR

Revision 1.24  2002/07/10 09:02:03  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.23  2002/06/04 12:17:22  grabba
Removed BR: perl-devel

Revision 1.22  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/25 10:35:02  depesz
cleanup; revision++

Revision 1.20  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/13 14:21:08  depesz
automatic: Source location unfied, Relase Up

Revision 1.18  2002/02/10 15:36:19  depesz
adapterized

Revision 1.17  2002/01/18 02:14:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/10 18:34:57  kloczek
- updated to 1.42.

Revision 1.15  2001/09/08 07:59:22  kloczek
- fixed %doc files list.

Revision 1.14  2001/09/08 07:45:04  kloczek
- updated to 1.41.

Revision 1.13  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.12  2001/04/17 12:17:02  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/20 16:02:09  mis
- updated (by autoup) to 1.31

Revision 1.9  2001/01/25 21:14:21  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:32  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:01  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:08  pius
- updated to 1.23

Revision 1.2  1999/11/07 09:18:47  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
